Method: projects.configurations.list

Get a list of configurations that meet the filter criteria.

HTTP request

GET https://threatintelligence.googleapis.com/v1beta/{parent=projects/*}/configurations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent of the configuration. Format: vaults/{vault}

Query parameters

Parameters
filter

string

Optional. Filter criteria.

orderBy

string

Optional. Order by criteria in the csv format: "field1,field2 desc" or "field1,field2" or "field1 asc, field2".

pageToken

string

Optional. Page token.

pageSize

integer

Optional. Page size.

Request body

The request body must be empty.

Response body

Response message for configurations.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "configurations": [
    {
      object (Configuration)
    }
  ],
  "nextPageToken": string
}
Fields
configurations[]

object (Configuration)

List of configurations.

nextPageToken

string

Page token.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • threatintelligence.configurations.list

For more information, see the IAM documentation.